/*
 * Copyright (c) 2004, 2005, 2006, 2007, 2008
 *	Luiz Otavio O Souza <loos.br@gmail.com>
 *
 * Permission to use, copy, modify, and distribute this software for any
 * purpose with or without fee is hereby granted, provided that the above
 * copyright notice and this permission notice appear in all copies.
 *
 * THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
 * WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
 * ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 * ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
 * OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * $Id: ns.h,v 1.4 2008/04/23 13:32:04 loos-br Exp $
 */

#ifndef NS_H
#define NS_H

#include "user.h"

server_ *ns_disconnect(server_ *ns);
int	xfr_ns_proxy(struct user_ *user, command *cmd, int args);
int	msnp13_xfr_ns_proxy(struct user_ *user, command *cmd, int args);
void	ns_client(int listenfd, short event, void *config_);
void	ns_proxy_client(int listenfd, short event, void *principal_);
int	xfr_ns_post_proxy(struct user_ *user, command *cmd, int args);
void	proxy_free(client_ *proxy);

#endif
